Current map is obj_team2

Name:Jessie & Girls {3} {home of -=*BuR*=- {bLoOdY uLtImAtE rEvEnGe}
Server address:burmohaash3.game.nfoservers.com:12203
Server IP:192.223.27.222:12203
Game:MoHAA: Spearhead
Current map:obj_team2
Current players:24 / 26
Currently locked?No

These players are currently connected:

Player name Ping Frags
-=*BuR*=-Burnout263
-=*BuR*=-putty483
-=RaBBiT=-483
.:C.E.Q:.TNT483
I_Have_A_Brown_Coat483
Lazer933
P_E_R_R_O1773
Suika1633
YASEEN_ABO_ESMAIL1553
okokokokok2003
{HOH}_TrophyDad503
-=*BuR*=-Cmoke482
A.A.A.Z1182
Cheesehead1062
FrijolesRefritos612
GUNSMOKE_2026462
Guest101402
J_3_r_r_Y1482
MeccAnix482
W.O.M._|Derim_Jaro|1452
{SA}-=*BuR*=-LiLi482
-=*BuR*=-D.G.S.P.E.1000
{A}-=*BuR*=-Costa480